Package org.eclipse.core.runtime.jobs

## Interface IJobFunction

    public interface IJobFunction

This is a functional interface representation of `Job`, suitable for use in lambda expressions.

Since:
  3.6
See Also:
  `Job.create(String, IJobFunction)`

### Method Summary

All Methods Instance Methods Abstract Methods
`IStatus` `run​(IProgressMonitor monitor)` Executes this job.

### Method Detail

#### run

    IStatus run​(IProgressMonitor monitor)

Executes this job. Returns the result of the execution.

The provided monitor can be used to report progress and respond to cancellation. If the progress monitor has been canceled, the job should finish its execution at the earliest convenience and return a result status of severity `IStatus.CANCEL`. The singleton cancel status `Status.CANCEL_STATUS` can be used for this purpose. The monitor is only valid for the duration of the invocation of this method.

This method must not be called directly by clients. Clients should call `schedule`, which will in turn cause this method to be called.

Jobs can optionally finish their execution asynchronously (in another thread) by returning a result status of `Job.ASYNC_FINISH`. Jobs that finish asynchronously must specify the execution thread by calling `Job.setThread(Thread)`, and must indicate when they are finished by calling the method `Job.done(IStatus)`.

Parameters:
  `monitor` - the monitor to be used for reporting progress and responding to cancellation. The monitor is never `null`. It is the caller's responsibility to call `IProgressMonitor.done()` after this method returns or throws an exception.
Returns:
  resulting status of the run. The result must not be `null`.
See Also:
  `Job.ASYNC_FINISH`, `Job.done(IStatus)`